Issue 11072

Title
General Ledger report contains confusing information
Priority
feature
Status
resolved
Nosy list
mrichez, nicoe, reviewbot, roundup-bot
Assigned to
nicoe
Keywords
review

Created on 2021-12-17.18:49:03 by nicoe, last changed 3 months ago by acaubet.

Messages

New changeset 1e85a7c1daac by Nicolas Évrard in branch 'default':
Add missing alias on migration query of Deferrals
https://hg.tryton.org/tryton-env/rev/1e85a7c1daac
New changeset 0ab649829988 by Nicolas Évrard in branch 'default':
Add missing alias on migration query of Deferrals
https://hg.tryton.org/modules/account/rev/0ab649829988
Author: [hidden] (mrichez)
Date: 2022-02-07.16:12:51

Seems migration script is not correct. Got this error:

Traceback (most recent call last):
  File "/home/mrichez/Workspace/tryton/issues/issue_11214_volume_dimensions_package/trytond/bin/./trytond-admin", line 23, in <module>
    admin.run(options)
  File "/home/mrichez/Workspace/tryton/issues/issue_11214_volume_dimensions_package/trytond/trytond/admin.py", line 57, in run
    pool.init(update=options.update, lang=list(lang),
  File "/home/mrichez/Workspace/tryton/issues/issue_11214_volume_dimensions_package/trytond/trytond/pool.py", line 165, in init
    restart = not load_modules(
  File "/home/mrichez/Workspace/tryton/issues/issue_11214_volume_dimensions_package/trytond/trytond/modules/__init__.py", line 438, in load_modules
    _load_modules(update)
  File "/home/mrichez/Workspace/tryton/issues/issue_11214_volume_dimensions_package/trytond/trytond/modules/__init__.py", line 406, in _load_modules
    load_module_graph(graph, pool, update, lang)
  File "/home/mrichez/Workspace/tryton/issues/issue_11214_volume_dimensions_package/trytond/trytond/modules/__init__.py", line 238, in load_module_graph
    cls.__register__(module)
  File "/home/mrichez/Workspace/tryton/issues/issue_11214_volume_dimensions_package/trytond/trytond/modules/account/account.py", line 1657, in __register__
    cursor.execute(*deferral.update(
sqlite3.OperationalError: no such column: a.line_count
New changeset fd54bb2b623c by Nicolas Évrard in branch 'default':
Show debit / credit columns in ledgers when they contain lines
https://hg.tryton.org/tryton-env/rev/fd54bb2b623c
New changeset 3bb05ae28b9d by Nicolas Évrard in branch 'default':
Show debit / credit columns in ledgers when they contain lines
https://hg.tryton.org/modules/account/rev/3bb05ae28b9d
Author: [hidden] (nicoe) Tryton committer
Date: 2021-12-17.18:49:03

The General Ledger report will report for parent account the starting and ending balance of the account and all its children account but for the credit and debit columns it contains the value of only the selected account.

This results in some misunderstandings of the information.

The patch propose to introduce a new column line_count which would count the number of account move lines which are specific to the account. And the debit / credit data will only be shown if there are lines to display.

One nice bonus is that the General Ledger lines can now be filtered by this column to display only account with moves.

History
Date User Action Args
2022-03-17 18:22:15acaubetsetreviews: 372881002 360881005 -> 372881002,360881005
2022-02-10 13:35:40roundup-botsetmessages: + msg73999
2022-02-10 13:35:33roundup-botsetmessages: + msg73998
status: chatting -> resolved
2022-02-10 12:12:44nicoesetreviews: 372881002 -> 372881002 360881005
2022-02-07 16:12:51mrichezsetmessages: + msg73917
nosy: + mrichez
status: resolved -> chatting
2022-02-04 15:39:54roundup-botsetmessages: + msg73885
2022-02-04 15:39:49roundup-botsetmessages: + msg73884
nosy: + roundup-bot
status: testing -> resolved
2022-01-28 18:41:14reviewbotsetmessages: + msg73591
2022-01-28 13:07:28reviewbotsetmessages: + msg73589
2022-01-27 19:18:07reviewbotsetmessages: + msg73587

Showing 10 items. Show all history (warning: this could be VERY long)